
debug: False
v3: False
# common 
device: 'cpu'       # 'cpu' / 'cuda:0' / 'cuda:1'  / 'cuda'

#dataset
train_dir: /mnt/ssd1T/hoanglv/Projects/KIE/DATA/dev_model/Invoice/processed/train
val_dir: /mnt/ssd1T/hoanglv/Projects/KIE/DATA/dev_model/Invoice/processed/test/test_ss
slice_interval: 75
postprocess_type: invoice_postprocess
classes: [
 'no_key',
 'no_value',
 'form_key',
 'form_value',
 'serial_key',
 'serial_value',
 'date_value',
 
 'seller_company_name_key',
 'seller_company_name_value',
 'seller_tax_code_key',
 'seller_tax_code_value',
 'seller_address_value',
 'seller_address_key',
 'seller_tel_key',
 'seller_tel_value',

 'buyer_personal_name_key',
 'buyer_personal_name_value',
 'buyer_company_name_value', 
 'buyer_company_name_key',
 'buyer_tax_code_key',
 'buyer_tax_code_value',
 'buyer_address_key',
 'buyer_address_value',
 'buyer_tel_key',
 'buyer_tel_value',
 'tax_amount_key',
 'tax_amount_value',
 'total_key',
 'total_value',
 'total_in_words_key',
 'total_in_words_value',
 'other'
]

sampling: true            # sampling window - fix long document (larger than 512 token)

#model 
img_size: 224            # fixed
max_seq_length: 512        # fixed
max_num_words: 150
tokenizer_weights: "/mnt/ssd1T/hoanglv/Projects/KIE/sdsvkie/microsoft/microsoft/layoutxlm-base"      # fixed
weights: "/mnt/ssd1T/hoanglv/Projects/KIE/sdsvkie/workdirs/invoice/vnpt_exp_4/last"

# opt + scheduler
batch_size: 8
epochs: 100
lr: 1.0e-5
shuffle: True
num_workers: 4
scheduler: "cosine"                        #  False or  "linear" / "cosine" / "cosine_with_restarts" /  "polynomial" / "constant" /  "constant_with_warmup" / "inverse_sqrt"
save_dir: workdirs/invoice/add_sl_hcm
save_weight_interval: 1
eval_delay: 1
wandb: null 

# inference
inference_weights: null 
text_det: yolox-s-general-text-pretrain-20221226
text_reg: satrn-lite-general-pretrain-20230106

